Support » Plugin: WordPress Popular Posts » “wpp” block errors

  • Resolved Bill White

    (@chipur)


    Keep getting the following message when I go to widgets on mobile to work on WPP…

    The “wpp” block was affected by errors and may not function properly. Check the developer tools for more details.

    It then goes to about:srcdoc.

    Tried troubleshooting plugins for incompatibility, but couldn’t resolve. Any ideas will be appreciated.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 20 total)
  • Plugin Author Héctor Cabrera

    (@hcabrera)

    Hi @chipur,

    Have you checked the developer tools as WordPress recommends? If so, did you see any error messages in there? I need more details (and reproduction steps if possible) so I can help.

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Also, do you get the same error message if you try to do the same thing on desktop?

    Thread Starter Bill White

    (@chipur)

    Thank you for your prompt reply. I’ll have some answers shortly.

    Thread Starter Bill White

    (@chipur)

    Though I’ll continue to try, I’m embarrassed to say I can’t even get to Develop menu. This doesn’t work…

    Launch Safari and navigate to the menu “Safari > Preferences… > Advanced Tab” and enable the option “Show Develop menu in menu bar”. This will enable the “Develop” menu and all other features required to view webpage’s source. Doesn’t work in Settings either.

    In the meantime, the errors still show when I go to widgets on mobile. They don’t on desktop; however, my widgets have been deleted.

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Thanks for the extra details, Bill. Odd that it happens on mobile Safari but not on desktop. Might be a browser issue.

    I don’t own an iOS device unfortunately so trying to replicate this issue might prove to be tricky. I’ll try using BrowserStack (a “cross browser testing platform”) and see if that gets me anywhere. I’ll let you know what my findings are.

    Thread Starter Bill White

    (@chipur)

    Wow, that’s way over and above – thank you. I’ll continue to do whatever I can on my end.

    Thread Starter Bill White

    (@chipur)

    Update: Did the theme and plugin disable/enable thing. The error messages appear only when WPP is enabled. And it occurs on both desktop and mobile. The other thing is when I go to widgets the dashboard gets hijacked to about:src.doc. I’ll keep poking around, but wanted to update. Thank you.

    Plugin Author Héctor Cabrera

    (@hcabrera)

    That’s pretty weird but thanks for the update nonetheless, Bill.

    Can you please share the information from your Debug screen (Settings > WordPress Popular Posts > Debug) to see if I can try and recreate your settings and maybe trigger the issue?

    Thread Starter Bill White

    (@chipur)

    Thank you, Hector…

    Plugin Configuration
    
    Performance Nag: Inactive
    
    Log Limit: No
    
    Log Views From: Everyone
    
    Data Caching: No
    
    Data Sampling: No
    
    External object cache: No
    
    WPP_CACHE_VIEWS: No
    
    System Info
    
    PHP version: 7.4.30
    
    PHP extensions: Core, date, libxml, openssl, pcre, sqlite3, zlib, bcmath, bz2, calendar, ctype, curl, dba, dom, enchant, hash, fileinfo, filter, ftp, gd, gettext, gmp, SPL, iconv, session, intl, json, mbstring, standard, mysqlnd, pcntl, mysqli, PDO, pdo_mysql, pdo_pgsql, pdo_sqlite, pgsql, Phar, posix, pspell, readline, Reflection, imap, shmop, SimpleXML, soap, sockets, sodium, exif, sysvmsg, sysvsem, tidy, tokenizer, xml, xmlreader, xmlrpc, xmlwriter, xsl, zip, cgi-fcgi, memcached, Zend OPcache
    
    Database version: 5.7.32-35-log
    
    InnoDB availability: DEFAULT
    
    WordPress version: 6.0
    
    Multisite: No
    
    Active plugins: Akismet Anti-Spam 4.2.4, Contact Form 7 5.6, Disqus for WordPress 3.0.22, Embed Plus Plugin for YouTube 14.1.1, Google Analytics for WordPress by MonsterInsights 8.6.0, Google XML Sitemaps 4.1.5, Health Check & Troubleshooting 1.4.5, Honeypot for Contact Form 7 2.1, Image Widget 4.4.8, Pagination Pro by BestWebSoft 1.2.0, Reveal IDs 1.5.4, Shareaholic - Easily Grow and Engage Your Audience 9.7.5, Simple Banner 2.11.0, Simple Pull Quote 1.5, Simple Yearly Archive 2.1.8, Smush Pro 3.10.2, TaxoPress 3.6.2, UpdraftPlus - Backup/Restore 1.22.12, Wordfence Security 7.5.11, WordPress Importer 0.7, WordPress Popular Posts 6.0.0, WP-Menu 0.2.6, WPForms Lite 1.7.5.1, WPMU DEV Dashboard 4.11.13, WP Super Cache 1.7.9, WPtouch Pro 4.3.38
    
    Theme: Thesis (2.10.9) by Chris Pearson
    Plugin Author Héctor Cabrera

    (@hcabrera)

    Thanks! Some of these plugins are paid ones but fortunately the majority of them are free to install so I’ll give this setup you have a try sometime this weekend and see if I can reproduce the issue.

    Thread Starter Bill White

    (@chipur)

    You’re the best, man. And I’ll do whatever I can on this end. Thank you…

    Thread Starter Bill White

    (@chipur)

    For whatever it’s worth, on another forum someone offered: “Delete or rename the directory of that plugin.” Just wanted to put that out there.

    Thanks again, Hector…

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Yeah, that will get rid of the error… by uninstalling the plugin 😛 (which is a valid solution as well but I’d rather find out what’s the cause of the issue so I can help fix it).

    Thread Starter Bill White

    (@chipur)

    Yessir, I agree.

    Thread Starter Bill White

    (@chipur)

    Just got this, so hold on until I see if it works…

    As @keithwjones suggested, you’ll need to install the Classic Widgets Plugin to get Thesis widgets working with WordPress 5.5+.

Viewing 15 replies - 1 through 15 (of 20 total)
  • You must be logged in to reply to this topic.